<div class="grid mx-6">
  <div class="col-12">
    <h1 style="text-align: center" class="mb-0">COLMEIAS</h1>
  </div>

  <div class="col-2" [hidden]="g.colm_crud_cad">
    <button
      pButton
      pRipple
      type="button"
      class="w-full p-button-success"
      icon="pi pi-plus"
      label="Cadastrar Colmeia"
      (click)="trocarShow(true)"
    ></button>
  </div>

  <div class="col-2" [hidden]="!g.colm_crud_cad">
    <button
      pButton
      pRipple
      type="button"
      class="w-full p-button-success"
      icon="pi pi-plus"
      label="Salvar Colmeia"
      (click)="salvar()"
    ></button>
  </div>
  <div class="col-2" [hidden]="!g.colm_crud_cad">
    <button
      pButton
      pRipple
      type="button"
      class="w-full p-button-secondary"
      icon="pi pi-plus"
      label="Cancelar"
      (click)="cancelar()"
    ></button>
  </div>

  <div class="col-12" [hidden]="g.colm_crud_cad">
    <p-table
      #tableColmeias
      [value]="g.colm_arr"
      selectionMode="single"
      [paginator]="true"
      [loading]="g.buscandoWS"
      [rowHover]="true"
      [rows]="15"
      styleClass="p-datatable-sm"
      dataKey="seqColmeia"
      [globalFilterFields]="['Cadastro', 'Colmeia', 'Cpf', 'Matricula']"
      currentPageReportTemplate="Mostrando de {first} a {last} de {totalRecords} colmeias"
      [showCurrentPageReport]="true"
    >
      <ng-template pTemplate="caption">
        <div class="p-d-flex">
          <span class="p-input-icon-left p-ml-auto">
            <i class="pi pi-search"></i>
            <input
              type="text"
              class="col-12"
              pInputText
              (input)="
                tableColmeias.filterGlobal(
                  $any($event.target).value,
                  'contains'
                )
              "
              placeholder="Buscar"
            />
          </span>
        </div>
      </ng-template>
      <ng-template pTemplate="header">
        <tr>
          <th>Sequencia</th>
          <th>Produtor</th>
          <th>Apiario</th>
          <th>Colmeia</th>
          <th>Data Instalação</th>
          <th></th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-colmeia>
        <tr [pSelectableRow]="colmeia">
          <td>{{ colmeia.seqColmeia }}</td>
          <td>{{ colmeia.ProNom }}</td>
          <td>{{ colmeia.ApiNom }}</td>
          <td>{{ colmeia.Colmeia }}</td>
          <td>{{ colmeia.dataIntalacao }}</td>
          <td>
            <span class="p-buttonset">
              <button
                pButton
                pRipple
                icon="pi pi-search"
                class="p-button-sm p-button-info"
                (click)="detalhe(colmeia)"
              ></button>
            </span>
          </td>
        </tr>
      </ng-template>
    </p-table>
  </div>

  <div class="col-12" [hidden]="!g.colm_crud_cad">
    <app-colmeias-crud [g]="g"></app-colmeias-crud>
  </div>
</div>

<p-dialog
  header="Caderno"
  [styleClass]="'w-10'"
  [modal]="true"
  [draggable]="false"
  [resizable]="false"
  [closeOnEscape]="true"
  [closable]="!g.buscandoWS"
  [(visible)]="scad"
>
  <p-table
    #tableCaderno
    [value]="g.colm_deta_cade"
    [paginator]="true"
    [loading]="g.buscandoWS"
    [rowHover]="false"
    [rows]="10"
    styleClass="p-datatable-sm"
    [selection]="false"
    dataKey="seqCaderno"
    currentPageReportTemplate="Mostrando de {first} a {last} de {totalRecords} registros"
    [showCurrentPageReport]="true"
  >
    <ng-template pTemplate="header">
      <tr>
        <th>Caderno</th>
        <th>Apiario</th>
        <th>Colmeia</th>
        <th>Evento</th>
        <th>Descrição</th>
        <th>Data</th>
        <th>Observção</th>
        <th>Quantidade</th>
      </tr>
    </ng-template>
    <ng-template pTemplate="body" let-cad let-expanded="expanded">
      <tr [pSelectableRow]="cad">
        <td>{{ cad.seqCaderno }}</td>
        <td>{{ cad.seqApiario }}</td>
        <td>{{ cad.SeqColmeia }}</td>
        <td>{{ cad.seqEvento }}</td>
        <td>{{ cad.descricao }}</td>
        <td>{{ cad.datEvento }}</td>
        <td>{{ cad.obsEvento }}</td>
        <td>{{ cad.quantidade }}</td>
      </tr>
    </ng-template>
  </p-table>
</p-dialog>
